Page MenuHomePhabricator

Epic: Reconcile SmashPig and DonationInterface configuration
Open, NormalPublic4 Story Points

Description

See notes at https://etherpad.wikimedia.org/p/fr-tech-talk, Aug 24. We want to reuse just one configuration style and implementation for both components.

Event Timeline

awight created this task.Aug 24 2016, 8:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 24 2016, 8:52 PM
DStrine triaged this task as Normal priority.Aug 30 2016, 8:10 PM
DStrine added a project: FR-ActiveMQ.
DStrine set the point value for this task to 4.

Change 355573 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Route all config access through Context

https://gerrit.wikimedia.org/r/355573

Change 355577 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Actually split out config classes

https://gerrit.wikimedia.org/r/355577

Change 355739 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Always (re-)initialize logger when setting provider configuration

https://gerrit.wikimedia.org/r/355739

Change 356436 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[wikimedia/fundraising/SmashPig@master] Allow specifying configuration dir with environment vars

https://gerrit.wikimedia.org/r/356436

Change 355573 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Route all config access through Context

https://gerrit.wikimedia.org/r/355573

Change 358576 had a related patch set uploaded (by Mepps; owner: Mepps):
[wikimedia/fundraising/SmashPig@master] Quick Syntax Fix

https://gerrit.wikimedia.org/r/358576

Change 358576 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Quick path name fix

https://gerrit.wikimedia.org/r/358576

Change 355577 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Actually split out config classes

https://gerrit.wikimedia.org/r/355577

Change 355739 merged by jenkins-bot:
[wikimedia/fundraising/SmashPig@master] Always (re-)initialize logger when setting provider configuration

https://gerrit.wikimedia.org/r/355739

mmodell removed a subscriber: awight.Jun 22 2017, 9:33 PM
DStrine renamed this task from Spike: Reconcile SmashPig and DonationInterface configuration to Epic: Reconcile SmashPig and DonationInterface configuration.Jul 19 2017, 8:23 PM